Skip to main content
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
inverters
Get a user's solar inverters
curl --request GET \
  --url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/inverters \
  --header 'Authorization: Bearer <token>'
[
  {
    "connection_status": "ok",
    "monitoring_status": "ok",
    "steering_status": "ok",
    "device_model": {
      "device_type": {
        "short_name": "<string>",
        "long_name": "<string>"
      },
      "manufacturer": "<string>",
      "model": "<string>",
      "cloud_service_instructions": "<string>",
      "cloud_service_signup_link": "<string>",
      "year": 123,
      "cloud_service": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "owner": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "external_id": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "price_zone": "AT",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deleted_at": "2023-11-07T05:31:56Z",
    "lifecycle_state": "authenticated",
    "lifecycle_error": "<string>",
    "building": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "pause_power_until": "2023-11-07T05:31:56Z",
    "is_pause_power_active": false,
    "external_device_id": "",
    "is_authenticated": false,
    "is_smart_optimization_active": false,
    "optimization_score": 123,
    "current_mode": "<string>",
    "comment": "<string>",
    "current_state_last_updated_at": "2023-11-07T05:31:56Z",
    "last_monitoring_executed_at": "2023-11-07T05:31:56Z",
    "is_inverter_forced_mode_enabled": false,
    "is_inverter_forced_mode_active": false,
    "inverter_forced_mode_since": "0001-01-01T00:00:00Z",
    "is_trading_enabled": false,
    "actual_steering_state": "unknown",
    "solar_power_rating_kw": 123,
    "battery_capacity_kwh": 123,
    "is_battery_connected": false,
    "is_curtailment_active": false,
    "max_battery_charge": 123,
    "min_battery_charge": 123,
    "user_limits_enabled": false,
    "information_last_updated_at": "2023-11-07T05:31:56Z",
    "battery_policy": "Optimize self consumption",
    "battery_policy_last_updated_at": "2023-11-07T05:31:56Z",
    "current_solar_production_w": 123,
    "current_power_to_grid_w": 123,
    "household_consumption_w": 123,
    "solar_surplus_w": 123,
    "battery_charge_discharge_power_w": 123,
    "battery_charge_level_percent": 123,
    "production_last_day_kwh": 123,
    "production_last_week_kwh": 123,
    "production_last_month_kwh": 123,
    "production_last_updated_at": "2023-11-07T05:31:56Z",
    "needs_gateway": false,
    "inferred_max_charge_power_w": 123,
    "inferred_max_discharge_power_w": 123,
    "inferred_min_battery_soc_percent": 123,
    "inferred_battery_capacity_kwh": 123,
    "inferred_params_updated_at": "2023-11-07T05:31:56Z",
    "has_ev_in_household": true,
    "ev_inferred_at": "2023-11-07T05:31:56Z",
    "ev_inference_confidence": 123,
    "embeddable_url": "<string>",
    "authorization_url": "<string>",
    "action_needed": false
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.podero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

org_id
string<uuid>
required

The organization ID of the user's organization

user_id
string<uuid>
required

The user ID of the user whom the solar inverter belongs to

Query Parameters

include_deleted
boolean
default:false

If true, includes soft-deleted

Response

200 - application/json

OK

connection_status
enum<string>
required
Available options:
ok,
warning,
error,
unknown
monitoring_status
enum<string>
required
Available options:
ok,
warning,
error,
unknown
steering_status
enum<string>
required
Available options:
ok,
warning,
error,
unknown
device_model
DeviceModelOutput · object
required
owner
OwnerOutput · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
price_zone
enum<string>
default:AT
Available options:
AT,
AT_HOURLY,
BE,
CH,
EE,
DE_LU,
HU,
IT_CNOR,
IT_CSUD,
IT_NORD,
IT_PUN,
IT_SARD,
IT_SICI,
IT_SUD,
PT,
RO,
SE_1,
SE_2,
SE_3,
SE_4,
UK
id
string<uuid> | null
deleted_at
string<date-time> | null

When set, the device is considered deleted.

lifecycle_state
string
default:authenticated
Maximum string length: 20
lifecycle_error
string | null

Error metadata when lifecycle_state is 'error'.

building
string<uuid> | null
pause_power_until
string<date-time> | null
is_pause_power_active
boolean
default:false
external_device_id
string | null
default:""
Maximum string length: 255
is_authenticated
boolean | null
default:false
is_smart_optimization_active
boolean
default:false
optimization_score
number | null
current_mode
string | null
comment
string | null
Maximum string length: 300
current_state_last_updated_at
string<date-time> | null
last_monitoring_executed_at
string<date-time> | null
is_inverter_forced_mode_enabled
boolean
default:false
is_inverter_forced_mode_active
boolean
default:false
inverter_forced_mode_since
string<date-time> | null
default:0001-01-01T00:00:00Z
is_trading_enabled
boolean
default:false
actual_steering_state
string
default:unknown
Maximum string length: 20
solar_power_rating_kw
battery_capacity_kwh
is_battery_connected
boolean | null
default:false
is_curtailment_active
boolean | null
default:false
max_battery_charge
min_battery_charge
user_limits_enabled
boolean | null
default:false
information_last_updated_at
string<date-time> | null
battery_policy
string | null
default:Optimize self consumption
Maximum string length: 100
battery_policy_last_updated_at
string<date-time> | null
current_solar_production_w
current_power_to_grid_w
household_consumption_w
solar_surplus_w
battery_charge_discharge_power_w
battery_charge_level_percent
production_last_day_kwh
production_last_week_kwh
production_last_month_kwh
production_last_updated_at
string<date-time> | null
needs_gateway
boolean | null
default:false
inferred_max_charge_power_w
number | null
inferred_max_discharge_power_w
number | null
inferred_min_battery_soc_percent
number | null
inferred_battery_capacity_kwh
number | null
inferred_params_updated_at
string<date-time> | null
has_ev_in_household
boolean | null
ev_inferred_at
string<date-time> | null
ev_inference_confidence
number | null

0.0–1.0; saturates at 16 EV-charging bouts in 30 days

embeddable_url
string | null

URL to embeddable onboarding form

authorization_url
string | null

Base URL for authorizing with the Podero server

action_needed
boolean
default:false

True when at least one action is pending against this device and the partner must take that action before the device can resume normal operation. The actions field on the detail response carries the specifics.